Subject: Re: [#6003350] - Conversation with Priyanka Ravikumar
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 12 Apr 2023 17:01:12 +0000

Will forward this to OMS & FE to update. Pls ensure there is no RMA created.